using Infrastructure;

namespace Domain.Weapons;

public class FlameThrower : Weapon
{
    public FlameThrower()
    {
        Range = 30;
    }

    public override int DamageAmount(int successDegree)
    {
        throw new NotImplementedException();
    }

    public override int Attack(int bonusCt, int ct, string amo = null, bool? isHorde = null)
    {
        if (isHorde == true) return DiceService.RollDices(1, 5) + Utilities.Round(Range, 4);
        return 0;
    }
}